package com.vetti.common.ai.gpt.service;

/**
 * AI 流式响应监听器 服务层
 */
public interface OpenAiStreamListenerService {

    /**
     * 返回信息
     * @param content
     */
    public void onMessage(String content);

    /**
     * 返回完成通知
     */
    public void onComplete();

    /**
     * 异常信息通知
     * @param throwable
     */
    public void onError(Throwable throwable);

}
